Subject: Re: linux-next: manual merge of the arm-soc tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 28 May 2022 10:29:46 +1000

Hi Nick,

On Fri, 27 May 2022 15:38:56 +0000 "Hawkins, Nick" <[email-masked]> wrote:
>
> > Today's linux-next merge of the arm-soc tree got a conflict in:  
> >
> >   drivers/clocksource/Makefile  
> >
> > between commit:  
> >
> >   c92e7ef16400 ("clocksource/drivers: Add a goldfish-timer clocksource")  
> >
> > from Linus' tree and commit:  
> >
> >   5184f4bf151b ("clocksource/drivers/timer-gxp: Add HPE GXP Timer")  
> >
> > from the arm-soc tree.  
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your
> > tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise
> > any particularly complex conflicts.  
> 
> Hi Stephen,
> 
> Thank you for resolving the merge issue. I am relatively new to this
> process.. Can you provide a link to where you were notified of the
> merge conflict?

The purpose of linux-next (which is my project) is integration testing,
so I spend all day merging the branches that Linus will merge during
the merge window. The conflict appeared when I merged the arm-soc tree
yesterday.

-- 
Cheers,
Stephen Rothwell